Subject: Re: [PATCH v4 0/3] Make test selection easier by specifying description substrings instead of just numeric counters

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 Oct 2020 13:25:28 -0700

"Elijah Newren via GitGitGadget" <[email-masked]> writes:

> Changes since v3:
>
>  * Added text to the README explaining what to do if the substring you want
>    to search on includes a comma or whitespace (namely, use the '?' glob
>    character instead)

That would work just as well with or without forbidding spaces.

>      ++The argument to --run is split on commas and whitespace into separate
>      ++strings, numbers, and ranges, and picks all tests that match any of
>      ++the individual selection criteria.  If the substring of the
>      ++description text that you want to match includes a comma or space, use
>      ++the glob character '?' instead.  For example --run='unnecessary?update
>      ++timing' would match on all tests that match either the glob
>      ++*unnecessary?update* or the glob *timing*.

OK.

Will queue.